Debian Bug report logs - #193830
[PR 10849] [3.3/3.4 regression] specialization of private members structs fails

version graph

Package: g++-3.3; Maintainer for g++-3.3 is (unknown);

Reported by: Herbert Valerio Riedel <hvr@se-linux.ifs.tuwien.ac.at>

Date: Mon, 19 May 2003 10:03:03 UTC

Severity: normal

Tags: upstream

Found in version 1:3.3-2

Fixed in version gcc-3.3/1:3.3.1ds1-0rc1

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR10849

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.3@packages.qa.debian.org:
Bug#193830; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to Herbert Valerio Riedel <hvr@se-linux.ifs.tuwien.ac.at>:
New Bug report received and forwarded. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.3@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Herbert Valerio Riedel <hvr@se-linux.ifs.tuwien.ac.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: g++-3.3: specialization of private members structs fails
Date: Mon, 19 May 2003 11:56:17 +0200
Package: g++-3.3
Version: 1:3.3-2
Severity: normal


g++-3.3 fails to compile the following code (which would compile with
previous g++ versions):

$ cat in_class_class.cc
class Foo {
  template <class T> struct InFoo;
};

template<>
struct Foo::InFoo<int> {
    // ...
};
$ g++ -c in_class_class.cc 
in_class_class.cc:2: error: `template<class T> struct Foo::InFoo' is private
in_class_class.cc:6: error: within this context
$

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux lfdux.ifs.tuwien.ac.at 2.4.20-1-k7 #1 Sat Mar 22 15:17:52 EST 2003 i686
Locale: LANG=C, LC_CTYPE=C

Versions of packages g++-3.3 depends on:
ii  gcc-3.3                       1:3.3-2    The GNU C compiler
ii  gcc-3.3-base                  1:3.3-2    The GNU Compiler Collection (base 
ii  libc6                         2.3.1-17   GNU C Library: Shared libraries an
ii  libstdc++5-3.3-dev            1:3.3-2    The GNU Standard C++ Library v3 (d

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.3@packages.qa.debian.org:
Bug#193830; Package g++-3.3. Full text and rfc822 format available.

Message #8 received at 193830@bugs.debian.org (full text, mbox):

From: gcc-gnats@gcc.gnu.org
To: 193830@bugs.debian.org
Subject: Re: c++/10887: [3.3/3.4 regression] specialization of private members structs fails
Date: 20 May 2003 21:36:00 -0000
Thank you very much for your problem report.
It has the internal identification `c++/10887'.
The individual assigned to look at your
report is: unassigned. 

>Category:       c++
>Responsible:    unassigned
>Synopsis:       [3.3/3.4 regression] specialization of private members structs fails
>Arrival-Date:   Tue May 20 21:36:00 UTC 2003



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.3@packages.qa.debian.org:
Bug#193830; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to bangerth@dealii.org, 193830@bugs.debian.org, gcc-bugs@gcc.gnu.org, gcc-prs@gcc.gnu.org, hvr@se-linux.ifs.tuwien.ac.at, nobody@gcc.gnu.org, gcc-gnats@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>, gcc-3.3@packages.qa.debian.org. Full text and rfc822 format available.

Message #13 received at 193830@bugs.debian.org (full text, mbox):

From: bangerth@dealii.org
To: 193830@bugs.debian.org, gcc-bugs@gcc.gnu.org, gcc-prs@gcc.gnu.org, hvr@se-linux.ifs.tuwien.ac.at, nobody@gcc.gnu.org
Subject: Re: c++/10887: [3.3/3.4 regression] specialization of private members structs fails
Date: 20 May 2003 21:46:08 -0000
Synopsis: [3.3/3.4 regression] specialization of private members structs fails

State-Changed-From-To: open->closed
State-Changed-By: bangerth
State-Changed-When: Tue May 20 21:46:08 2003
State-Changed-Why:
    This is a duplicate of 10849, which Giovanni filed a couple
    of days ago.
    
    W.

http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-trail&database=gcc&pr=10887



Noted your statement that Bug has been forwarded to http://gcc.gnu.org/PR10849. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Matthias Klose <doko@net.local> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to gcc-3.3@packages.qa.debian.org:
Bug#193830; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to doko@debian.org:
Extra info received and filed, but not forwarded. Copy sent to gcc-3.3@packages.qa.debian.org. Full text and rfc822 format available.

Message #24 received at 193830-quiet@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@net.local>
To: control@bugs.debian.org
Cc: 193830-quiet@bugs.debian.org
Subject: gcc: submitted Debian report #193830 to gcc-gnats as PR 10849
Date: Wed, 21 May 2003 08:52:49 +0200
# submitted Debian report #193830 to gcc-gnats as PR 10849
# http://gcc.gnu.org/PR10849

forwarded 193830 http://gcc.gnu.org/PR10849
retitle 193830 [PR 10849] [3.3/3.4 regression] specialization of private members structs fails
tags 193830 + upstream
thanks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#193830; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to Herbert Valerio Riedel <hvr@se-linux.ifs.tuwien.ac.at>:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 193830@bugs.debian.org (full text, mbox):

From: Herbert Valerio Riedel <hvr@se-linux.ifs.tuwien.ac.at>
To: 193830@bugs.debian.org
Subject: g++-3.3: specialization of private members structs fails
Date: 29 Jun 2003 09:28:53 +0200
fyi, 

gcc version 3.3.1 20030626 (Debian prerelease)
(aka '3.3.1-0pre0' in debian)

improves a bit on the situation:

class Foo {
  template <class T> struct InFoo;
  template <class T, class U> struct InFoo2;
};

template<>
struct Foo::InFoo<int> {
  // ...this works now... (didn't work with 3.3.0)
};

template<class T>
struct Foo::InFoo2<T, int> {
  // ...this still triggers error
};

regards,
-- 
Herbert Valerio Riedel       /    Phone: (EUROPE) +43-1-58801-18840
Email: hvr@hvrlab.org       /    Finger hvr@gnu.org for GnuPG Public Key
GnuPG Key Fingerprint: 7BB9 2D6C D485 CE64 4748  5F65 4981 E064 883F 4142




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#193830; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 193830@bugs.debian.org (full text, mbox):

From: "debian-gcc at lists dot debian dot org" <gcc-bugzilla@gcc.gnu.org>
To: 193830@bugs.debian.org
Subject: [Bug c++/10849] [3.3/3.4 regression] Cannot define an out-of-class specialization of a private nested template class
Date: 29 Jun 2003 08:40:34 -0000
PLEASE REPLY TO gcc-bugzilla@gcc.gnu.org ONLY, *NOT* gcc-bugs@gcc.gnu.org.

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=10849


debian-gcc at lists dot debian dot org changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |193830 at bugs dot debian
                   |                            |dot org





------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#193830; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #39 received at 193830@bugs.debian.org (full text, mbox):

From: "debian-gcc at lists dot debian dot org" <gcc-bugzilla@gcc.gnu.org>
To: 193830@bugs.debian.org
Subject: [Bug c++/10849] [3.3/3.4 regression] Cannot define an out-of-class specialization of a private nested template class
Date: 29 Jun 2003 08:44:30 -0000
PLEASE REPLY TO gcc-bugzilla@gcc.gnu.org ONLY, *NOT* gcc-bugs@gcc.gnu.org.

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=10849



------- Additional Comments From debian-gcc at lists dot debian dot org  2003-06-29 08:44 -------
[forwarded from http://bugs.debian.org/193830]

fyi,  
 
gcc version 3.3.1 20030626 (Debian prerelease) 
(aka '3.3.1-0pre0' in debian) 
 
improves a bit on the situation: 
 
class Foo { 
  template <class T> struct InFoo; 
  template <class T, class U> struct InFoo2; 
}; 
 
template<> 
struct Foo::InFoo<int> { 
  // ...this works now... (didn't work with 3.3.0) 
}; 
 
template<class T> 
struct Foo::InFoo2<T, int> { 
  // ...this still triggers error 
}; 





------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#193830; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #44 received at 193830@bugs.debian.org (full text, mbox):

From: "giovannibajo at libero dot it" <gcc-bugzilla@gcc.gnu.org>
To: 193830@bugs.debian.org
Subject: [Bug c++/10849] [3.3 regression] Cannot define an out-of-class specialization of a private nested template class
Date: 29 Jun 2003 08:58:00 -0000
PLEASE REPLY TO gcc-bugzilla@gcc.gnu.org ONLY, *NOT* gcc-bugs@gcc.gnu.org.

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=10849


giovannibajo at libero dot it changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|RESOLVED                    |REOPENED
         Resolution|FIXED                       |
            Summary|[3.3/3.4 regression] Cannot |[3.3 regression] Cannot
                   |define an out-of-class      |define an out-of-class
                   |specialization of a private |specialization of a private
                   |nested template class       |nested template class


------- Additional Comments From giovannibajo at libero dot it  2003-06-29 08:57 -------
Confirmed. Kriang, your 3.3 workaround is not complete because 
processing_specialization is set only for explicit specializations, not for 
partial specializations.



------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#193830; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #49 received at 193830@bugs.debian.org (full text, mbox):

From: "lerdsuwa at gcc dot gnu dot org" <gcc-bugzilla@gcc.gnu.org>
To: 193830@bugs.debian.org
Subject: [Bug c++/10849] [3.3 regression] Cannot define an out-of-class specialization of a private nested template class
Date: 6 Jul 2003 10:47:26 -0000
PLEASE REPLY TO gcc-bugzilla@gcc.gnu.org ONLY, *NOT* gcc-bugs@gcc.gnu.org.

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=10849


lerdsuwa at gcc dot gnu dot org changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|REOPENED                    |ASSIGNED
   Last reconfirmed|0000-00-00 00:00:00         |2003-07-06 10:47:26
               date|                            |


------- Additional Comments From lerdsuwa at gcc dot gnu dot org  2003-07-06 10:47 -------
Look like it needs a real fix, not just my workaround.



------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#193830; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 193830@bugs.debian.org (full text, mbox):

From: "lerdsuwa at gcc dot gnu dot org" <gcc-bugzilla@gcc.gnu.org>
To: 193830@bugs.debian.org
Subject: [Bug c++/10849] [3.3 regression] Cannot define an out-of-class specialization of a private nested template class
Date: 6 Jul 2003 14:42:56 -0000
PLEASE REPLY TO gcc-bugzilla@gcc.gnu.org ONLY, *NOT* gcc-bugs@gcc.gnu.org.

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=10849


lerdsuwa at gcc dot gnu dot org changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
   Target Milestone|3.4                         |3.3.1





------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#193830; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #59 received at 193830@bugs.debian.org (full text, mbox):

From: "lerdsuwa at gcc dot gnu dot org" <gcc-bugzilla@gcc.gnu.org>
To: 193830@bugs.debian.org
Subject: [Bug c++/10849] [3.3 regression] Cannot define an out-of-class specialization of a private nested template class
Date: 7 Jul 2003 15:14:40 -0000
PLEASE REPLY TO gcc-bugzilla@gcc.gnu.org ONLY, *NOT* gcc-bugs@gcc.gnu.org.

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=10849



------- Additional Comments From lerdsuwa at gcc dot gnu dot org  2003-07-07 15:14 -------
Patch submitted:

  http://gcc.gnu.org/ml/gcc-patches/2003-07/msg00693.html




------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#193830; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #64 received at 193830@bugs.debian.org (full text, mbox):

From: "cvs-commit at gcc dot gnu dot org" <gcc-bugzilla@gcc.gnu.org>
To: 193830@bugs.debian.org
Subject: [Bug c++/10849] [3.3 regression] Cannot define an out-of-class specialization of a private nested template class
Date: 10 Jul 2003 12:43:23 -0000
PLEASE REPLY TO gcc-bugzilla@gcc.gnu.org ONLY, *NOT* gcc-bugs@gcc.gnu.org.

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=10849



------- Additional Comments From cvs-commit at gcc dot gnu dot org  2003-07-10 12:43 -------
Subject: Bug 10849

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_3-branch
Changes by:	lerdsuwa@gcc.gnu.org	2003-07-10 12:43:17

Modified files:
	gcc/cp         : ChangeLog cp-tree.h decl2.c parse.y search.c 
	gcc/testsuite  : ChangeLog 
Added files:
	gcc/testsuite/g++.dg/template: access12.C 

Log message:
	PR c++/10849
	* decl2.c (handle_class_head_apparent_template): New function.
	* cp-tree.h (handle_class_head_apparent_template): Add declaration.
	* parse.y (class_head_defn): Use it.
	* search.c (type_access_control): Revert my 2003-05-25 change.
	
	* g++.dg/template/access12.C: New test.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/cp/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.3076.2.176&r2=1.3076.2.177
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/cp/cp-tree.h.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.776.2.24&r2=1.776.2.25
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/cp/decl2.c.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.575.2.33&r2=1.575.2.34
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/cp/parse.y.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.284.2.6&r2=1.284.2.7
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/cp/search.c.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.243.2.12&r2=1.243.2.13
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=1.2261.2.223&r2=1.2261.2.224
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/g++.dg/template/access12.C.diff?cvsroot=gcc&only_with_tag=gcc-3_3-branch&r1=NONE&r2=1.1.2.1





------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#193830; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #69 received at 193830@bugs.debian.org (full text, mbox):

From: "cvs-commit at gcc dot gnu dot org" <gcc-bugzilla@gcc.gnu.org>
To: 193830@bugs.debian.org
Subject: [Bug c++/10849] [3.3 regression] Cannot define an out-of-class specialization of a private nested template class
Date: 10 Jul 2003 12:48:21 -0000
PLEASE REPLY TO gcc-bugzilla@gcc.gnu.org ONLY, *NOT* gcc-bugs@gcc.gnu.org.

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=10849



------- Additional Comments From cvs-commit at gcc dot gnu dot org  2003-07-10 12:48 -------
Subject: Bug 10849

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	lerdsuwa@gcc.gnu.org	2003-07-10 12:48:17

Modified files:
	gcc/testsuite  : ChangeLog 
Added files:
	gcc/testsuite/g++.dg/template: access12.C 

Log message:
	PR c++/10849
	* g++.dg/template/access12.C: New test.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/ChangeLog.diff?cvsroot=gcc&r1=1.2857&r2=1.2858
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/testsuite/g++.dg/template/access12.C.diff?cvsroot=gcc&r1=1.1&r2=1.2





------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC maintainers <debian-gcc@lists.debian.org>:
Bug#193830; Package g++-3.3. Full text and rfc822 format available.

Acknowledgement sent to gcc-bugzilla@gcc.gnu.org:
Extra info received and forwarded to list. Copy sent to Debian GCC maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #74 received at 193830@bugs.debian.org (full text, mbox):

From: "lerdsuwa at gcc dot gnu dot org" <gcc-bugzilla@gcc.gnu.org>
To: 193830@bugs.debian.org
Subject: [Bug c++/10849] [3.3 regression] Cannot define an out-of-class specialization of a private nested template class
Date: 10 Jul 2003 13:43:38 -0000
PLEASE REPLY TO gcc-bugzilla@gcc.gnu.org ONLY, *NOT* gcc-bugs@gcc.gnu.org.

http://gcc.gnu.org/bugzilla/show_bug.cgi?id=10849


lerdsuwa at gcc dot gnu dot org changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|ASSIGNED                    |RESOLVED
         Resolution|                            |FIXED


------- Additional Comments From lerdsuwa at gcc dot gnu dot org  2003-07-10 13:43 -------
Fixed.



------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.



Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Herbert Valerio Riedel <hvr@se-linux.ifs.tuwien.ac.at>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #79 received at 193830-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 193830-close@bugs.debian.org
Subject: Bug#193830: fixed in gcc-3.3 1:3.3.1ds1-0rc1
Date: Wed, 23 Jul 2003 04:48:23 -0400
We believe that the bug you reported is fixed in the latest version of
gcc-3.3, which is due to be installed in the Debian FTP archive:

cpp-3.3-doc_3.3.1-0rc1_all.deb
  to pool/main/g/gcc-3.3/cpp-3.3-doc_3.3.1-0rc1_all.deb
cpp-3.3_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/cpp-3.3_3.3.1-0rc1_i386.deb
fastjar_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/fastjar_3.3.1-0rc1_i386.deb
fixincludes_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/fixincludes_3.3.1-0rc1_i386.deb
g++-3.3_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/g++-3.3_3.3.1-0rc1_i386.deb
g77-3.3-doc_3.3.1-0rc1_all.deb
  to pool/main/g/gcc-3.3/g77-3.3-doc_3.3.1-0rc1_all.deb
g77-3.3_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/g77-3.3_3.3.1-0rc1_i386.deb
gcc-3.3-base_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3-base_3.3.1-0rc1_i386.deb
gcc-3.3-doc_3.3.1-0rc1_all.deb
  to pool/main/g/gcc-3.3/gcc-3.3-doc_3.3.1-0rc1_all.deb
gcc-3.3_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.1-0rc1_i386.deb
gcc-3.3_3.3.1ds1-0rc1.diff.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.1ds1-0rc1.diff.gz
gcc-3.3_3.3.1ds1-0rc1.dsc
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.1ds1-0rc1.dsc
gcc-3.3_3.3.1ds1.orig.tar.gz
  to pool/main/g/gcc-3.3/gcc-3.3_3.3.1ds1.orig.tar.gz
gcj-3.3_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/gcj-3.3_3.3.1-0rc1_i386.deb
gij-3.3_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/gij-3.3_3.3.1-0rc1_i386.deb
gnat-3.3-doc_3.3.1-0rc1_all.deb
  to pool/main/g/gcc-3.3/gnat-3.3-doc_3.3.1-0rc1_all.deb
gnat-3.3_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/gnat-3.3_3.3.1-0rc1_i386.deb
gobjc-3.3_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/gobjc-3.3_3.3.1-0rc1_i386.deb
gpc-2.1-3.3-doc_3.3.1.20030507-0rc1_all.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3-doc_3.3.1.20030507-0rc1_all.deb
gpc-2.1-3.3_3.3.1.20030507-0rc1_i386.deb
  to pool/main/g/gcc-3.3/gpc-2.1-3.3_3.3.1.20030507-0rc1_i386.deb
libffi2-dev_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/libffi2-dev_3.3.1-0rc1_i386.deb
libffi2_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/libffi2_3.3.1-0rc1_i386.deb
libg2c0_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/libg2c0_3.3.1-0rc1_i386.deb
libgcc1_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/libgcc1_3.3.1-0rc1_i386.deb
libgcj-common_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/libgcj-common_3.3.1-0rc1_i386.deb
libgcj4-dev_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/libgcj4-dev_3.3.1-0rc1_i386.deb
libgcj4_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/libgcj4_3.3.1-0rc1_i386.deb
libobjc1_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/libobjc1_3.3.1-0rc1_i386.deb
libstdc++5-3.3-dbg_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dbg_3.3.1-0rc1_i386.deb
libstdc++5-3.3-dev_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-dev_3.3.1-0rc1_i386.deb
libstdc++5-3.3-doc_3.3.1-0rc1_all.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-doc_3.3.1-0rc1_all.deb
libstdc++5-3.3-pic_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5-3.3-pic_3.3.1-0rc1_i386.deb
libstdc++5_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/libstdc++5_3.3.1-0rc1_i386.deb
protoize_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/protoize_3.3.1-0rc1_i386.deb
treelang-3.3_3.3.1-0rc1_i386.deb
  to pool/main/g/gcc-3.3/treelang-3.3_3.3.1-0rc1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 193830@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-3.3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jul 2003 10:26:30 +0200
Source: gcc-3.3
Binary: libgnat3.15 gcc-3.3-nof gcc-3.3 libobjc1 libgcc1 lib64g2c0 libstdc++5-3.3-doc libgcj4 gpc-2.1-3.3-doc libstdc++5 cpp-3.3-doc protoize cpp-3.3 libstdc++5-3.3-dbg g77-3.3-doc gpc-2.1-3.3 g77-3.3 libgcj4-dev gcc-3.3-doc lib64objc1 lib64ffi2 libstdc++5-3.3-dev libffi2-dev gcj-3.3 libgcj-common gobjc-3.3 lib64stdc++5 gcc-3.3-soft-float lib64gcj4 treelang-3.3 libg2c0-dev lib64gcc1 fastjar lib64gnat3.15 fixincludes libg2c0 gij-3.3 libstdc++5-3.3-pic gcc-3.3-base g++-3.3 gnat-3.3 libffi2 gnat-3.3-doc
Architecture: source i386 all
Version: 1:3.3.1ds1-0rc1
Distribution: unstable
Urgency: low
Maintainer: Debian GCC maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-3.3    - The GNU C preprocessor
 cpp-3.3-doc - Documentation for the GNU C preprocessor (cpp)
 fastjar    - Jar creation utility
 fixincludes - Fix non-ANSI header files
 g++-3.3    - The GNU C++ compiler
 g77-3.3    - The GNU Fortran 77 compiler
 g77-3.3-doc - Documentation for the GNU Fortran compiler (g77)
 gcc-3.3    - The GNU C compiler
 gcc-3.3-base - The GNU Compiler Collection (base package)
 gcc-3.3-doc - Documentation for the GNU compilers (gcc, gobjc, g++)
 gcj-3.3    - The GNU compiler for Java(TM)
 gij-3.3    - The GNU Java bytecode interpreter
 gnat-3.3   - The GNU Ada compiler
 gnat-3.3-doc - Documentation for the GNU Ada compiler (gnat)
 gobjc-3.3  - The GNU Objective-C compiler
 gpc-2.1-3.3 - The GNU Pascal compiler
 gpc-2.1-3.3-doc - Documentation for the GNU Pascal compiler (gpc)
 libffi2    - Foreign Function Interface library runtime
 libffi2-dev - Foreign Function Interface library development
 libg2c0    - Runtime library for GNU Fortran 77 applications
 libgcc1    - GCC support library
 libgcj-common - Java runtime library (common files)
 libgcj4    - Java runtime library for use with gcj
 libgcj4-dev - Java development headers and static library for use with gcj
 libobjc1   - Runtime library for GNU Objective-C applications
 libstdc++5 - The GNU Standard C++ Library v3
 libstdc++5-3.3-dbg - The GNU Standard C++ Library v3 (debugging files)
 libstdc++5-3.3-dev - The GNU Standard C++ Library v3 (development files)
 libstdc++5-3.3-doc - The GNU Standard C++ Library v3 (documentation files)
 libstdc++5-3.3-pic - The GNU Standard C++ Library v3 (shared library subset kit)
 protoize   - Create/remove ANSI prototypes from C code
 treelang-3.3 - The GNU Treelang compiler
Closes: 134197 146883 171699 173475 189059 189365 189494 192296 193804 193830 194391 198269 201882
Changes: 
 gcc-3.3 (1:3.3.1ds1-0rc1) unstable; urgency=low
 .
   * Update to gcc-3.3.1 CVS 20030722 (3.3.1 release candidate 1).
     - Fix ICE in copy_to_mode_reg on 64-bit targets (closes: #189365).
     - Remove documentation about multi-line strings (closes: #194391).
     - Correctly document -falign-* parameters (closes: #198269).
     - out-of-class specialization of a private nested template class.
       Closes: #193830.
     - Tighten shlibs dependency due to new symbols in libgcc.
   * README.Debian for libg2c0, describing the need for g77-x.y when
     working with the g2c header and library (closes: #189059).
   * Call make with -j<number of CPU's>, if USE_NJOBS is set and non-empty
     in the environment.
   * Add another two m68k patches, partly replacing the workarounds provided
     by Roman Zippel.
   * Add the stack protector patch, but don't apply it by default. Edit
     debian/rules.patch to apply it (closes: #171699, #189494).
   * Remove wrong symlinks from gnat package (closes: #201882).
   * Closed reports reported against gcc-2.95 and fixed in newer versions:
     - SMP kernel compilation on alpha (closes: #134197, #146883).
     - ICE on arm while building imagemagick (closes: #173475).
   * Closed reports reported against gcc-3.2.x and fixed in gcc-3.3:
     - Miscompilation of octave2.1 on hppa (closes: #192296, #193804).
Files: 
 5f532e79998465239a9d5f062356611b 2363 devel standard gcc-3.3_3.3.1ds1-0rc1.dsc
 d1a5767eb8e9aaa9411d23c5b4049256 22283882 devel standard gcc-3.3_3.3.1ds1.orig.tar.gz
 9f0d8a2af84258ad3b8d8ac494310955 2223830 devel standard gcc-3.3_3.3.1ds1-0rc1.diff.gz
 c77fd39cd4cd2b9109e81e904497ba1c 82946 doc optional cpp-3.3-doc_3.3.1-0rc1_all.deb
 8b0a68841b14357ce19109dd10b6051c 3136480 doc optional libstdc++5-3.3-doc_3.3.1-0rc1_all.deb
 876625d51a4409f5512608cc3d28e01b 268960 doc optional g77-3.3-doc_3.3.1-0rc1_all.deb
 f1a99375f46b9e749e9e191586f9df24 328524 doc optional gnat-3.3-doc_3.3.1-0rc1_all.deb
 882dad84f7e27b7bb65c2baad5c84eed 764096 doc optional gpc-2.1-3.3-doc_3.3.1.20030507-0rc1_all.deb
 30fff7b1d9987176e6aa6cb2d3668019 597372 doc optional gcc-3.3-doc_3.3.1-0rc1_all.deb
 1354c7b8764b9d04ddec6203a931980f 140326 devel important gcc-3.3-base_3.3.1-0rc1_i386.deb
 b16e03f2abcef5939876e37aa18ac009 69500 libs important libgcc1_3.3.1-0rc1_i386.deb
 922a6d3e137986ada9289cf0bc7a4c78 1309452 interpreters standard cpp-3.3_3.3.1-0rc1_i386.deb
 3ddacd5d0f255bce533a63f709b1a44e 22630 devel optional protoize_3.3.1-0rc1_i386.deb
 f16cda376a56fbe3b048854cabdfb8c1 47326 devel optional fixincludes_3.3.1-0rc1_i386.deb
 b005f1a957caf7a5e59c89bb1784d580 1382708 devel optional gobjc-3.3_3.3.1-0rc1_i386.deb
 de72d604092cb3fdba8cc7d4a6182519 125542 libs optional libobjc1_3.3.1-0rc1_i386.deb
 e576350794eb79e8e1d056ee9e9c0ef2 12916 devel optional gij-3.3_3.3.1-0rc1_i386.deb
 bfdd66d161f55b2d3cb3122f6f386ad4 4012372 libs optional libgcj4_3.3.1-0rc1_i386.deb
 449eacef8bea8aae23dab79dda7e1cce 55276 libs optional libgcj-common_3.3.1-0rc1_i386.deb
 6be3768a26a0934a306ef1991ac8d07f 1607154 devel optional gcj-3.3_3.3.1-0rc1_i386.deb
 8eb26fa5b49e2f672bf8ab39e337e9bc 4829500 libdevel optional libgcj4-dev_3.3.1-0rc1_i386.deb
 1278b9af8111fad804f30e29786127a7 112942 devel extra fastjar_3.3.1-0rc1_i386.deb
 aa9bf8233a7b5ea4ea596ef8ce101def 65604 libs optional libffi2_3.3.1-0rc1_i386.deb
 f1067b63f33c7338541fff10732f3598 10758 libdevel optional libffi2-dev_3.3.1-0rc1_i386.deb
 2d7af11380e6866abd4123cfdcb649e5 1676610 devel standard g++-3.3_3.3.1-0rc1_i386.deb
 5214b16cc2f1d73a134df67a650984d2 270176 base important libstdc++5_3.3.1-0rc1_i386.deb
 521de27d5b50351c89ac9b3561110518 758354 libdevel standard libstdc++5-3.3-dev_3.3.1-0rc1_i386.deb
 ea64dbf4a7ad7b19e9985e6a167122ed 312556 libdevel extra libstdc++5-3.3-pic_3.3.1-0rc1_i386.deb
 c36ff3239cdd55ae33c55d5098e70c3d 5019254 libdevel extra libstdc++5-3.3-dbg_3.3.1-0rc1_i386.deb
 d9b772a3cf8ce2fbdec0fa9136ead98d 47552 libs optional libg2c0_3.3.1-0rc1_i386.deb
 bf3f601734316dd48dc8154f3b92daee 1513592 devel optional g77-3.3_3.3.1-0rc1_i386.deb
 c5e38bd3e6e4689529a61fff3dc87b64 6108308 devel optional gnat-3.3_3.3.1-0rc1_i386.deb
 5b30d25e7449298c6be852ba173d5ca8 1211950 devel optional treelang-3.3_3.3.1-0rc1_i386.deb
 6e4140793606a760c3834c6498a22c2d 1940208 devel optional gpc-2.1-3.3_3.3.1.20030507-0rc1_i386.deb
 ad73a3a5623279ef3a383a046bb0a689 1292104 devel standard gcc-3.3_3.3.1-0rc1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE/HiMnStlRaw+TLJwRAsQmAKC/ZPl3g/LzDp9vYCjD1TA1tQwE2wCgkkV7
ooKncNUR9AbtcZ6bPkXJmt4=
=ghYi
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:25:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.